iznobe
Posts: 275
Joined: Sun Feb 05, 2017 4:14 pm
Location: Avignon , FRANCE

[ resolu ] installation picotts

Mon Sep 16, 2019 10:31 am

Bonjour ,

sur mon pi sous stretch aucun probleme pour installer picotts ,

sur celui avec buster impossible .

j ' ai fait un tour rapide sur le site du dev , mais rien trouvé pour buster .
j ' ai essayer de compiler a partir des sources , mais plein de dependances non satisfaites .

j ' ai download le .deb a partir du ftp debian pour archi armhf , mais avec la commande dpkg , il ne veut pas me l' installer :mrgreen:

le paquet sous stretch se nomme : libttspico-utils .

si vous avez des idéees , je suis preneur .
Last edited by iznobe on Wed Sep 18, 2019 4:42 pm, edited 1 time in total.

totoharibo
Posts: 4236
Joined: Thu Jan 24, 2013 8:43 am

Re: installation picotts

Mon Sep 16, 2019 3:40 pm

pourquoi picotts ?
avec libttspico0 j'utilise
pico2wave -l fr_FR -w <fic_wave> <chaine>
aplay <fic_wave>

pas sous buster mais pico2wave est dans libttspico0
dpkg -L libttspico0
pour info

OK pas essayé sous buster mais à essayer plutôt que chercher loin.

Pourquoi faire simple quand ...

iznobe
Posts: 275
Joined: Sun Feb 05, 2017 4:14 pm
Location: Avignon , FRANCE

Re: installation picotts

Tue Sep 17, 2019 7:20 am

Salut et merci ,

si je fais

Code: Select all

dpkg -L libttspico0
ca me retourne :

Code: Select all

pi@raspberrypi:~ $ dpkg -L libttspico0
dpkg-query: paquet « libttspico0 » n'est pas installé
Use dpkg --contents (= dpkg-deb --contents) to list archive files contents.
pi@raspberrypi:~ $
:mrgreen:

et si je fais

Code: Select all

sudo apt install libttspico0
j ' ai :

Code: Select all

pi@raspberrypi:~ $ sudo apt install libttspico0
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Aucune version du paquet libttspico0 n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
Cependant les paquets suivants le remplacent :
  libttspico-utils

E: Le paquet « libttspico0 » n'a pas de version susceptible d'être installée
pi@raspberrypi:~ $
donc je passe à :

Code: Select all

sudo apt install libttspico-utils
qui me renvoie :

Code: Select all

pi@raspberrypi:~ $ sudo apt install libttspico-utils
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
libttspico-utils est déjà la version la plus récente (1.0+git20130326-9).
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 libttspico-utils : Dépend: libttspico0 (>= 1.0) mais il n'est pas installable
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).
pi@raspberrypi:~ $
......
sachant que le seul truc que j ' ai reussi a installer c ' est libttspico-data et pas libttspico-utils a cause de dependances non satissfaite qui tournent en rond .

bref je fais ce qu ' il me dit :

Code: Select all

 sudo apt  --fix-brokrn install 
et là :

Code: Select all

pi@raspberrypi:~ $ sudo apt --fix-broken install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants seront ENLEVÉS :
  libttspico-utils
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 26,6 ko d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n]


:D

iznobe
Posts: 275
Joined: Sun Feb 05, 2017 4:14 pm
Location: Avignon , FRANCE

Re: installation picotts

Tue Sep 17, 2019 7:44 am

Bon ...

A priori j ' aurais fini par y arriver en telechargeant le paquet ici https://packages.debian.org/stretch/libttspico0 ( pour stretch ... )

puis en me placant dans le dossier de download et en faisant :

Code: Select all

 sudo dpkg -i libttspico0_1.0+git20130326-5_armhf.deb
je verifie si cela fonctionne :roll:

Bon ben ca ne marche toujours pas : pico2wawe : commande introuvable :twisted:

totoharibo
Posts: 4236
Joined: Thu Jan 24, 2013 8:43 am

Re: installation picotts

Tue Sep 17, 2019 9:47 am

j'ai retrouvé une buster.
C'est passé de testing à stable et rien ne marche (mise à jour des sources).
Donc mise à jour pas possible : rien ne marche.
Faut que je refasse une carte SD pour voir.
Je vais essayer de la faire pour voir.

iznobe
Posts: 275
Joined: Sun Feb 05, 2017 4:14 pm
Location: Avignon , FRANCE

Re: installation picotts

Tue Sep 17, 2019 11:32 am

Salut et merci .

il s' avere que j ' ai reussi a me depatouiller :)

j ' ai creer les fichiers avec le pi sous stretch et les ai transferer sur le pi avec buster , je peut les utiliser et les lire sans soucis , meme si picotts n ' est pas installé .

j ' avoue c ' est pas des plus pratiques , mais bon ca marche .

j ' espere que ca sera mis a jour bientot ou que vous trouverez une solution .

totoharibo
Posts: 4236
Joined: Thu Jan 24, 2013 8:43 am

Re: installation picotts

Tue Sep 17, 2019 5:25 pm

quel bor...
ça ne marche pas non plus chez moi.
les packages sont classés en "non free".
pas clair comme histoire :
https://github.com/snipsco/snips-issues/issues/161
prends un porte-voix :lol:

jerrm
Posts: 198
Joined: Wed May 02, 2018 7:35 pm

Re: installation picotts

Tue Sep 17, 2019 5:51 pm

Install from the Debian armhf repo on Pi2 1.2 or later, Pi3, or Pi4:

Code: Select all

wget http://ftp.us.debian.org/debian/pool/non-free/s/svox/libttspico0_1.0+git20130326-9_armhf.deb
wget http://ftp.us.debian.org/debian/pool/non-free/s/svox/libttspico-utils_1.0+git20130326-9_armhf.deb
sudo apt-get install -f ./libttspico0_1.0+git20130326-9_armhf.deb ./libttspico-utils_1.0+git20130326-9_armhf.deb
or:

Code: Select all

wget -q https://ftp-master.debian.org/keys/release-10.asc -O- | sudo apt-key add -
echo "deb http://deb.debian.org/debian buster non-free" | sudo tee -a /etc/apt/sources.list
sudo apt-get install libttspico-utils

Above will not work on Pi0, Pi1, and older Pi2's, the option is to pull from Raspbian Stretch repo:

Code: Select all

wget http://archive.raspberrypi.org/debian/pool/main/s/svox/libttspico-utils_1.0+git20130326-3+rpi1_armhf.deb
wget http://archive.raspberrypi.org/debian/pool/main/s/svox/libttspico0_1.0+git20130326-3+rpi1_armhf.deb
sudo apt-get install -f ./libttspico0_1.0+git20130326-3+rpi1_armhf.deb ./libttspico-utils_1.0+git20130326-3+rpi1_armhf.deb



Edit: Left off apt-get install line on second option above.
Last edited by jerrm on Wed Sep 18, 2019 9:02 pm, edited 3 times in total.

totoharibo
Posts: 4236
Joined: Thu Jan 24, 2013 8:43 am

Re: installation picotts

Wed Sep 18, 2019 2:03 pm

puisque pictts ne marche pas, il y a la "concurrence" (dispo sous buster à priori) :
- espeak
- freetts
- jovie
- cicero
- mbrola

À toi de trouver ton bonheur si tu as envie de chercher.
Bonne pioche !

jerrm
Posts: 198
Joined: Wed May 02, 2018 7:35 pm

Re: installation picotts

Wed Sep 18, 2019 3:35 pm

Did you try my post above? PicoTTS installs and runs without issue on Buster using those methods.

iznobe
Posts: 275
Joined: Sun Feb 05, 2017 4:14 pm
Location: Avignon , FRANCE

Re: installation picotts

Wed Sep 18, 2019 4:42 pm

jerrm wrote:
Tue Sep 17, 2019 5:51 pm
On Pi2 1.2 or later, Pi3, or Pi4:

Code: Select all

wget http://ftp.us.debian.org/debian/pool/non-free/s/svox/libttspico0_1.0+git20130326-9_armhf.deb
wget http://ftp.us.debian.org/debian/pool/non-free/s/svox/libttspico-utils_1.0+git20130326-9_armhf.deb
sudo apt-get install -f ./libttspico0_1.0+git20130326-9_armhf.deb ./libttspico-utils_1.0+git20130326-9_armhf.deb
ca fonctionne , merci beaucoup ;)


this is working , thanks a lot !! ;)

Return to “Français”